# Tarfile created using git
# git clone https://pagure.io/arm-image-installer.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | xz > ~/%{name}-%{version}.tar.xz

Name:		arm-image-installer
Version:	3.0
Release:	%mkrel 1
Summary:	Writes binary image files to any specified block device
Group:          Archiving/Other
License:	GPLv2+
Url:		https://pagure.io/arm-image-installer

BuildArch:	noarch
Source0:	%{name}-%{version}.tar.xz

Obsoletes:	fedora-arm-installer < 2.7
Provides:	fedora-arm-installer = %{version}-%{release}
Requires:	btrfs-progs
Requires:	e2fsprogs
Requires:	parted
Requires:	sudo
Requires:	util-linux


%description
Allows one to first select a source image (local or remote). The image must be
a binary file containing: [MBR + Partitions + File Systems + Data]. A
destination block device should then be selected for final installation.

It is also suitable for dumping Mageia installer isos to USB sticks.


%prep
%autosetup

%build
echo "skipping..."

%install
install -d %{buildroot}%{_datadir}/arm-image-installer
install -d %{buildroot}%{_datadir}/arm-image-installer/socs.d
install -pm 644 socs.d/* %{buildroot}%{_datadir}/arm-image-installer/socs.d/
install -d %{buildroot}%{_datadir}/arm-image-installer/boards.d
install -pm 644 boards.d/* %{buildroot}%{_datadir}/arm-image-installer/boards.d/

install -d %{buildroot}%{_bindir}
install -pm 0755 update-uboot %{buildroot}%{_bindir}/
install -pm 0755 arm-image-installer %{buildroot}%{_bindir}/
install -pm 0755 rpi-uboot-update %{buildroot}%{_bindir}/
ln -s /usr/bin/arm-image-installer %{buildroot}%{_bindir}/fedora-arm-image-installer

%files
%license COPYING
%doc AUTHORS README TODO SUPPORTED-BOARDS
%{_bindir}/arm-image-installer
%{_bindir}/fedora-arm-image-installer
%{_bindir}/update-uboot
%{_bindir}/rpi-uboot-update
%{_datadir}/arm-image-installer/


%changelog
* Sun Oct 11 2020 wally <wally> 3.0-1.mga8
+ Revision: 1633462
- new version 3.0

* Sat Aug 22 2020 wally <wally> 2.18-1.mga8
+ Revision: 1617967
- new version 2.18

* Thu May 21 2020 wally <wally> 2.17-1.mga8
+ Revision: 1586687
- new version 2.17

* Fri Apr 10 2020 wally <wally> 2.16-1.mga8
+ Revision: 1566102
- new version 2.16

* Wed Feb 19 2020 umeabot <umeabot> 2.15-2.mga8
+ Revision: 1543182
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 wally <wally> 2.15-1.mga8
+ Revision: 1481356
- new version 2.15

* Sat Jul 06 2019 wally <wally> 2.13-1.mga8
+ Revision: 1418920
- new version 2.13

* Mon Apr 22 2019 wally <wally> 2.12-1.mga7
+ Revision: 1394669
- new version 2.12

* Sat Mar 16 2019 wally <wally> 2.10-1.mga7
+ Revision: 1377850
- new version 2.10

* Mon Nov 19 2018 wally <wally> 2.8-1.mga7
+ Revision: 1331766
- new version 2.8

* Tue Sep 18 2018 wally <wally> 2.7-1.mga7
+ Revision: 1262185
- rename as arm-image-installer
- new version 2.7

* Tue Sep 18 2018 umeabot <umeabot> 1.1.1-8.mga7
+ Revision: 1261972
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-7.mga6
+ Revision: 944203
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 749527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 679119
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 barjac <barjac> 1.1.1-4.mga5
+ Revision: 634253
- temporarily remove invalid url causing startup delay Mga#13136

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 533629
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 barjac <barjac> 1.1.1-2.mga4
+ Revision: 474174
- expand description to mention Raspberry Pi and use with Mageia isos
- add acknowlegment for use of Raspberry Pi name and logo to comply with their trademark rules

* Sat Aug 31 2013 barjac <barjac> 1.1.1-1.mga4
+ Revision: 473777
- clean spec
- fix group
- fix desktop file
- symlink icon for .desktop
- import from Fedora

